#include <DallasTemperature.h>
#include <OneWire.h>
#include <RH_ASK.h>
#include <SPI.h> // Not actually used but needed to compile


RH_ASK driver;
#define ONE_WIRE_BUS 7 // set temperature at Pin 7
OneWire oneWire(ONE_WIRE_BUS);
DallasTemperature sensors(&oneWire);

void setup()
{
    Serial.begin(9600);    // Debugging only
    if (!driver.init())
         Serial.println("init failed");
    sensors.begin();
}

void loop()
{
    sensors.requestTemperatures();
    
    // convert temp from double to char array
    double dTemp = sensors.getTempCByIndex(0)*1.8 +32;
    Serial.println(dTemp);
    String sTemp = String(dTemp, 1); //the second argument is for the number of decimal places
    char cTemp[5]; //the length of the array should be one more than the length of the string
    sTemp.toCharArray(cTemp, 5);

    // send message from transmitter
    driver.send((uint8_t *)cTemp, strlen(cTemp));


}

